/// © MiroZ 2024

#ifndef __BME68X_h__
#define __BME68X_h__

#include <bme68xLibrary.h>

#include <Wire.h>

class Bme68x
{
protected:
	MyLibs::Bme68x * m_sensor = nullptr;
	TwoWire & m_bus;
	bool m_operational = false;

public:
	Bme68x(TwoWire & bus);
	bool init();

	void read();
};

#endif